POST/shorts.v1alpha1.StockService/GetStockData

GetStockData

fetch time series data for a specific stock

Parameters

Connect-Protocol-VersionheaderRequired
number [1]

Define the version of the Connect protocol

Connect-Timeout-Msheader
number

Define the timeout, in ms

Request Body

application/json
object

Request for GetStockDataRequest RPC, specifying the product code.

periodstring

(proto string)

productCodestring

(proto string)

Responses

200Success
application/json
object

TimeSeriesData represents time series data for a stock.

industrystring

Industry classification (populated in summary mode from company metadata). (proto string)

latestShortPositionnumber <double>

The latest short position. (proto double)

maxobject

The maximum short position in the range (proto stocks.v1alpha1.TimeSeriesPoint)

shortPositionnumber <double>

The short position at this point in time. (proto double)

timestampstring <date-time>

The point in time. (proto google.protobuf.Timestamp)

minobject

The minimum short position in the range (proto stocks.v1alpha1.TimeSeriesPoint)

shortPositionnumber <double>

The short position at this point in time. (proto double)

timestampstring <date-time>

The point in time. (proto google.protobuf.Timestamp)

namestring

(proto string)

pointsarray

The time series points. (proto stocks.v1alpha1.TimeSeriesPoint)

Array Items:
productCodestring

The stock code. (proto string)

defaultError
application/json
object

Error type returned by Connect: https://connectrpc.com/docs/go/errors/#http-representation

codestring [canceled, unknown, invalid_argument, deadline_exceeded, not_found, already_exists, permission_denied, resource_exhausted, failed_precondition, aborted, out_of_range, unimplemented, internal, unavailable, data_loss, unauthenticated]

The status code, which should be an enum value of [google.rpc.Code][google.rpc.Code].

detailsarray

A list of messages that carry the error details. There is no limit on the number of messages.

Array Items:
messagestring

A developer-facing error message, which should be in English. Any user-facing error message should be localized and sent in the [google.rpc.Status.details][google.rpc.Status.details] field, or localized by the client.

curl -X POST "https://api.shorted.com.au/shorts.v1alpha1.StockService/GetStockData" \
  -H "Content-Type: application/json" \
  -d '{
  "period": "string",
  "productCode": "string"
}'